#include "charm++.h"
#include "pgm.decl.h"
#include "tempo.h"

#define NITER 2980

extern CkChareID mainhandle;

class UserArray : public TempoArray
{
  public:
    UserArray(void) : TempoArray() {}
    UserArray(CkMigrateMessage *msg) : TempoArray(msg) {}
    void doSendRecv(void);
};

class main : public Chare
{
  double starttime, endtime;
  public :
    main(CkArgMsg *);
    void Finish(void);
};
